#include <stdio.h>
#include "config.h"
#include "area.h"
#include "status.h"
#include "message.h"
#include "command.h"

int area_cave_entrance(verb_id_t vid, noun_id_t nid, int *exist){
    assert(vid != vi_invalid);
	*exist = 1;
    switch(nid){
    case ni_invalid:
        switch(vid){
        case vi_look:
            DescribeArea;
            return 1;
		case vi_forward:
			move_area(ai_temple);
            return 1;
		case vi_backward:
			move_area(ai_cave);
            return 1;
        default:
            break;
        }
        break;
    case ni_floor:
    case ni_wall:
    case ni_ceiling:
        break;
    default:
        *exist = 0;
        break;
    }
    return 0;
}

