#include <stdio.h>
#include "config.h"
#include "area.h"
#include "status.h"
#include "message.h"
#include "command.h"

int area_game_over(verb_id_t vid, noun_id_t nid, int *exist){
    switch (vid){
    case vi_look:
		if (nid == ni_invalid){
	        message("ここは死後の世界だ。");
		    return 1;
		}
    case vi_examine:
        message("いくら調べても、現世に戻る手段はない。");
        return 1;
    case vi_start:
        start_game();
        return 1;
    case vi_pray:
        message("死んでから祈ってもしかたがない。");
        return 1;
    case vi_help:
        message("もう誰もあなたを助けられない。");
        return 1;
    case vi_inventory:
        message("生前の持ち物はここにはない。");
        return 1;
    case vi_save:
        message("いまさらセーブしても手遅れだ。");
        return 1;
    case vi_score:
    case vi_config:
    case vi_load:
    case vi_quit:
    case vi_title:
        // exec_command()のデフォルト処理に任せる
        return 0;
    default:
        break;
    }
    msg_to_title();
    return 1;
}
