#include <stdio.h>
#include "config.h"
#include "area.h"
#include "status.h"
#include "message.h"
#include "command.h"

int area_title(verb_id_t vid, noun_id_t nid, int *exist){
    switch (vid){
    case vi_look:
		if (nid == ni_invalid){
	        message("いつまでもタイトル画面を見ていてもしかたがない。");
	        return 1;
		}
		break;
    case vi_up:
		if (nid == ni_invalid){
            move_to_achievements();
            return 1;
        }
    case vi_start:
        start_game();
        return 1;
    case vi_help:
    case vi_config:
    case vi_load:
    case vi_quit:
        // exec_command()のデフォルト処理に任せる
        return 0;
    default:
        break;
    }
    msg_to_start();
    return 1;
}
