#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "config.h"
#include "dic.h"

void init_dic(dic_t *dic){
    dic->num = 0;
}
void register_dic(dic_t *dic, char *word, int id){
    //    	printf("%s:%d:%d\n", word, id, dic->num);
    assert(dic->num < WORD_MAX_NUM);

    dic->entries[dic->num].word = word;
    dic->entries[dic->num].id = id;
    dic->num ++;
}
int get_word_ix(char *word, dic_t *dic){
    int i;
    for (i = 0 ; i < dic->num ; i++){
        //        printf("%d|%s|%s|\n", i, word, dic->entries[i].word);
		if (strcmp(word, dic->entries[i].word) == 0){
            return i;
        }
    }
    return INVALID_WORD_IX;
}
int word_ix2id(int ix, dic_t *dic){
    assert(ix >= 0);
    return dic->entries[ix].id;
}

char *ix2word(int ix, dic_t *dic){
    assert(ix >= 0);
	return dic->entries[ix].word;
}

