#ifndef GETARG_H
#define GETARG_H


// オプションを登録
void register_option(char *name, char *argname, char *description, 
                     int(*func)(int, char *));
// 現在登録されているオプションを出力
void print_current_options(void);

// 引数中のオプションを処理
// @note 現バージョンでは、オプションでない引数は単純に無視する
// オプション処理でエラーを生じていたら非0を返す
int getarg(int argc, char *argv[]);
int opt_help(int no, char *arg);

int opt_set_char(int no, char *arg);
int opt_set_int(int no, char *arg);
int opt_set_str(int no, char *arg);

int is_opt_set(char *name);

char get_opt_char(char *name);
int get_opt_int(char *name);
char *get_opt_str(char *name);


#endif

