#ifndef JWRAP_H
#define JWRAP_H



#define FORBID_HEAD_SB_DANGLING ",.!?"
#define FORBID_HEAD_MB_DANGLING "、。，．"
#define FORBID_TAIL_SB_MARKS "[({<"
#define FORBID_HEAD_SB_MARKS "])}>"
#define FORBID_TAIL_MB_MARKS "［（｛〈〔【「『"
#define FORBID_HEAD_MB_MARKS "］）｝〉〕】」』！？・"
#define FORBID_HEAD_MB_KANA  "ぁぃぅぇぉっゃゅょー"

//#define FORBID_DANGLING_CHRS (FORBID_HEAD_SB_DANGLING FORBID_HEAD_MB_DANGLING)
#define FORBID_TAIL_CHRS (FORBID_TAIL_SB_MARKS FORBID_TAIL_MB_MARKS)
#define FORBID_HEAD_CHRS (FORBID_HEAD_SB_DANGLING FORBID_HEAD_MB_DANGLING \
                          FORBID_HEAD_SB_MARKS FORBID_HEAD_MB_MARKS     \
                          FORBID_HEAD_MB_KANA)

// 禁則文字の種類毎(2バイトの行末禁則、など)の最大数
#define FORBID_CHR_NUM_MAX 64

int jwrap_init(void);
int jwrap_slice(char **src, char *dest, int width_slimit, int width_hlimit,
                int is_line_head);
#endif

