#include <stdio.h>
#include "config.h"
#include "area.h"
#include "status.h"
#include "message.h"
#include "command.h"

int area_balcony(verb_id_t vid, noun_id_t nid, int *exist){
    assert(vid != vi_invalid);
	*exist = 1;
    switch(nid){
    case ni_invalid:
        switch(vid){
        case vi_look:
            DescribeArea;
//			message("ここからは屋敷の南側がよく見える。");
			message("右の方には海が広がっている。"
//				    "海岸は切り立った崖となって南へ伸び、"
				    "海岸は切り立った崖が続き、"
					"その先は岬になっている。");
			message("バルコニーの下には%nlが見える。",
                    ni_garden);
            return 1;
        case vi_backward:
        case vi_exit:
            EnterDoor(music_room, balcony);
            return 1;
        default:
            break;
        }
        break;
    case ni_garden:
        switch (vid){
        case vi_look:
        case vi_examine:
            move_area(ai_balcony_down);
            return 1;
        default:
            break;
        }
        break;
    case ni_door:
    case ni_back_door:
		if (vid == vi_open || vid == vi_push || vid == vi_pull){
            RedoArea(vi_backward, ni_invalid);
		}
		break;
    default:
    	*exist = 0;
        break;
    }
    return 0;
}
