#include <stdio.h>
#include "config.h"
#include "area.h"
#include "status.h"
#include "message.h"
#include "command.h"

int area_ending(verb_id_t vid, noun_id_t nid, int *exist){
    switch (vid){
    case vi_look:
		if (nid == ni_invalid){
	        message("ここはエンディングだ。");
		    return 1;
		}
    case vi_examine:
        message("なにか書いてある。");
        message("「タイトル画面で『%v』と入力すると…」",
                vi_up);
        return 1;
    case vi_start:
        start_game();
        return 1;
    case vi_pray:
        message("あなたは関係者一同の冥福を祈った。");
        return 1;
    case vi_help:
        message("すでに死んでいる人は助けられない。");
        return 1;
    case vi_inventory:
        message("もう過去は振り返らない。");
        return 1;
    case vi_save:
        message("もうセーブは必要ない。");
        return 1;
    case vi_score:
    case vi_config:
    case vi_load:
    case vi_quit:
    case vi_title:
        // exec_command()のデフォルト処理に任せる
        return 0;
    default:
        break;
    }
    msg_to_title();
    return 1;
}

