#include <stdio.h>
#include "config.h"
#include "area.h"
#include "status.h"
#include "message.h"
#include "command.h"

int area_opened_window(verb_id_t vid, noun_id_t nid, int *exist){
    assert(vid != vi_invalid);
	*exist = 1;
    switch(nid){
    case ni_invalid:
        switch(vid){
        case vi_look:
            DescribeArea;
			message("上のほうに%nlが見える",
					ni_window);
            return 1;
        case vi_left:
            move_area(ai_entrance);
            return 1;
        case vi_right:
            move_area(ai_washtub);
            return 1;
		case vi_up:
			message("手をかけられるようなところはない。");
			return 1;
        default:
            break;
        }
        break;
    case ni_window:
		switch (vid){
		case vi_look:
		case vi_examine:
			message("ここの窓は開いている。");
			return 1;
		case vi_open:
			message("すでに開いている。");
			return 1;
		case vi_close:
		case vi_push:
		case vi_pull:
		case vi_move:
		case vi_remove:
		case vi_hit:
		case vi_kick:
		case vi_destroy:
		case vi_enter:
		case vi_up:
			message("窓に手が届かない。");
			return 1;
		default:
			break;
		}
		break;
    case ni_wall:
		switch (vid){
		case vi_up:
			RedoArea(vi_up, ni_invalid);
		default:
			break;
		}
        break;
    default:
    	*exist = 0;
        break;
    }
    return 0;
}
