#include <stdio.h>
#include "config.h"
#include "area.h"
#include "status.h"
#include "message.h"
#include "command.h"

int area_working(verb_id_t vid, noun_id_t nid, int *exist){
    assert(vid != vi_invalid);
    switch(nid){
    case ni_invalid:
        switch(vid){
        case vi_look:
            DescribeArea;
            message("背後には、玄関ホールがある。");
            if (!has_item(ni_toy_lion)){
                message("%nlが転がっている。", ni_toy_lion);
            }            
            if (!has_item(ni_toy_swordman)){
                message("%nlが転がっている。", ni_toy_swordman);
            }            
            if (!has_item(ni_toy_bird)){
                message("%nlが転がっている。", ni_toy_bird);
            }            
            if (!has_item(ni_toy_dragon)){
                message("%nlが転がっている。", ni_toy_dragon);
            }            
            if (!has_item(ni_plush_cat)){
                message("%nlが転がっている。", ni_plush_cat);
            }            
            if (!has_item(ni_screwdriver)){
                message("%nlが転がっている。", ni_screwdriver);
            }            
            if (!has_item(ni_origami_plane)){
                message("%nlが転がっている。", ni_origami_plane);
            }            
            return -1;
        case vi_forward:
            move_area(ai_bathroom);
            return -1;
        case vi_backward:
            move_area(ai_entrance_hall);
            return -1;
        case vi_left:
            move_area(ai_boys_room);
            return -1;
        case vi_right:
            move_area(ai_girls_room);
            return -1;
        default:
            break;
        }
        return 0;
    case ni_toy_lion:
    case ni_toy_swordman:
    case ni_toy_bird:
    case ni_toy_dragon:
    case ni_plush_cat:
    case ni_screwdriver:
    case ni_origami_plane:
        switch(vid){
        case vi_get:
            *exist = 1;
            if (!has_item(nid)){
                command_get_item(nid, fi_invalid);
                return -1;
            }
        default:
            break;
        }
    default:
        break;
    }
    return 0;
}
