#include <stdio.h>
#include <EzGraph.h>
#include "config.h"
#include "layout.h"
#include "status.h"
#include "graphic_area.h"
#include "map.h"

void init_graphic(void){
}

void draw_graphic(void){
    EzSetColorByRGB(0, 0, 0);
    EzFillBoxB(GRAPHIC_LT_X, GRAPHIC_LT_Y, GRAPHIC_RB_X, GRAPHIC_RB_Y);
    EzSetColorByRGB(255, 255, 255);
    draw_area(current_area());
    EzSetColorByRGB(255, 255, 255);
    EzDrawBoxB(GRAPHIC_LT_X-1, GRAPHIC_LT_Y-1, GRAPHIC_RB_X+1, GRAPHIC_RB_Y+1);
    draw_minimap();
    EzSetColorByRGB(0, 0, 0);
    EzFillBoxB(0, 0, CLIENT_WIDTH, GRAPHIC_LT_Y-2);
    EzFillBoxB(0, 0, GRAPHIC_LT_X-2, GRAPHIC_RB_Y+1);
    EzFillBoxB(GRAPHIC_RB_X+2, 0, CLIENT_WIDTH, GRAPHIC_RB_Y+1);
    EzFillBoxB(0, GRAPHIC_RB_Y+2, CLIENT_WIDTH, CLIENT_HEIGHT);
    EzShowBuffer();
}

void draw_now_printing(void){
    EzSetColorByRGB(0, 0, 255);
  EzFillBoxB(GRAPHIC_LT_X, GRAPHIC_LT_Y, GRAPHIC_RB_X, GRAPHIC_RB_Y);
    EzSetColorByRGB(255, 255, 255);
    EzDrawStringB(240, 160, "N O W  P R I N T I N G");
}

/*
void draw_entrance(void){
    EzSetColorByRGB(255, 255, 255);
    draw_tmp();
}
*/
