#ifndef LAYOUT_H
#define LAYOUT_H

#define FONT_SIZE 16
#define LINE_SKIP 18

#define CLIENT_WIDTH 640
#define CLIENT_HEIGHT 480

#define GRAPHIC_WIDTH 600
#define GRAPHIC_HEIGHT 320
#define GRAPHIC_LT_X ((CLIENT_WIDTH-GRAPHIC_WIDTH)/2)
#define GRAPHIC_LT_Y 8
#define GRAPHIC_RB_X (GRAPHIC_LT_X + GRAPHIC_WIDTH)
#define GRAPHIC_RB_Y (GRAPHIC_LT_Y + GRAPHIC_HEIGHT)

// コンソールの表示領域の大きさ(入力行含む)
#define CONSOLE_CHR_WIDTH 72
#define CONSOLE_CHR_HEIGHT 7
// ログの保持行数(現在の表示部分含む)
#define CONSOLE_BUFFER_LINES 32

#define CONSOLE_WIDTH (FONT_SIZE / 2 * CONSOLE_CHR_WIDTH)
#define CONSOLE_HEIGHT (LINE_SKIP * CONSOLE_CHR_HEIGHT)

#define CONSOLE_LT_X ((CLIENT_WIDTH-CONSOLE_WIDTH)/2)
#define CONSOLE_LT_Y (GRAPHIC_RB_Y + 8)
#define CONSOLE_RB_X (CONSOLE_LT_X + CONSOLE_WIDTH)
#define CONSOLE_RB_Y (CONSOLE_LT_Y + CONSOLE_HEIGHT)

#define MINIMAP_WIDTH 240
#define MINIMAP_HEIGHT 160
//#define SMAP_LT_X (GRAPHIC_RB_X - SMAP_WIDTH-2)
//#define SMAP_LT_Y (GRAPHIC_LT_Y+2)
//#define SMAP_LT_X (GRAPHIC_RB_X - SMAP_WIDTH-2)
//#define SMAP_LT_Y (GRAPHIC_LT_Y+2)
//#define SMAP_RB_X (SMAP_LT_X + SMAP_WIDTH)
//#define SMAP_RB_Y (SMAP_LT_Y + SMAP_HEIGHT)
//#define MINIMAP_LT_X (GRAPHIC_LT_X+2)
//#define MINIMAP_LT_Y (GRAPHIC_LT_Y+2)


#endif
