#ifndef NOUN_ID_H
#define NOUN_ID_H

typedef enum {
    ni_unknown = -1,
    ni_invalid = 0,
    ni_begin = 1,
    ni_item_begin = 1,
    ni_newspaper,       // 最初から持っている新聞の切り抜き
    ni_leaflet,         // 郵便受けのちらし
    ni_medal,           // おもちゃのメダル
    ni_brass_key,       // 玄関の鍵
    ni_wooden_key,      // 玄関前のダミーの鍵。宝箱の鍵。
    ni_bronze_key,      // 2階踊り場の鍵
	ni_steel_key,       // 書斎の机の鍵
	ni_golden_key,      // 化粧台の鍵
    ni_silver_key,      // 廃止アイテム。裏シナリオ用？

    ni_glasses,         // 教授の眼鏡
    ni_necklace,        // 夫人のネックレス
	ni_toy_swordman,    // 男の子の巨大ロボットパーツ
    ni_toy_lion,        // 男の子の巨大ロボットパーツ
    ni_toy_bird,        // 男の子の巨大ロボットパーツ
    ni_robot,           // 男の子の巨大ロボットパーツ
    ni_toy_dragon,      // 男の子の巨大ロボットパーツ
    ni_large_robot,     // 男の子の巨大ロボット
    ni_plush_cat,       // 女の子のぬいぐるみ。
    ni_girl_doll,       // 赤毛の人形。ダミー
    ni_witch_doll,      // 魔女の人形。ダミー
    ni_slingshot,       // ぱちんこ
    ni_rubber_strip,    // ぱちんこのゴム紐
    ni_branch,          // 二股の木の枝。ぱちんこの柄の代用品
    ni_marble,          // ビー玉。ぱちんこの弾
    ni_poker,           // 火かき棒
	ni_chicken,         // 供物用の鶏の丸焼き
	ni_chicken_bone,    // 鶏の骨
	ni_human_bone,      // 人間(マクドナルド)の骨
	ni_rubber_duck,     // ゴムのアヒル
    ni_mirror,          // 浴室の鏡
    ni_screwdriver,     // ねじ回し
    ni_billiard_ball,   // ビリヤードの玉
    ni_belt,            // 犬の首輪
    ni_hat,             // 大佐の帽子
    ni_origami_plane,   // 紙飛行機
	ni_score,           // 楽譜
    ni_fishing_rod,     // 釣竿
    ni_sponge,          // スポンジ
    ni_ladder,          // 二段ベッドの梯子
	ni_candle,          // 食卓の蝋燭
	ni_bottle,          // 燻香の瓶
    ni_note,            // !大佐の伝言
    ni_diary,           // !教授娘の日記帳
    //    ni_diary_piece,     // !教授娘の日記帳のページ(分解した紙飛行機)
    ni_paper,           // !紙(教授娘の日記帳のページ、分解した紙飛行機)
	ni_postcard,        // !大佐から教授への葉書
	ni_logbook,         // !看護人の日誌
    ni_lantern,         // ランタン
	ni_wastepaper,      // !紙屑
	ni_essay,           // !教授息子の作文(開いた紙屑)
    ni_fossil,          // 化石
    



    //    ni_card,            // ジャックのカード(大佐の伝言)

	ni_clothes,			// 教授の衣類一式	
    ni_screw,
	ni_water,

	
	ni_notebook,            // ノート
    ni_pocket_notebook,     // 手帳
    //	ni_binder,          // バインダー
    ni_amulet,              // 旧神の印
    ni_easy_necromancy,

	ni_cuckoo,



	ni_item_end,   // item_beginからitem_endの前まではアイテム名詞

    ni_generic_begin, // generic_begin+1からgeneric_endの前までは一般的な名詞
    ni_door,
    ni_window,
    ni_wall,
    ni_floor,
    ni_ceiling,
    ni_stairs,
    ni_room,
    ni_corridor,
    ni_generic_end,

    ni_front_door,
    ni_back_door,
    ni_left_door,
    ni_right_door,
	ni_table,
	ni_chair,
    ni_bed,
    ni_mattress,
	ni_desk,
    ni_drawer,
	ni_bookshelf,
    ni_front_bookshelf,
    ni_left_bookshelf,
    ni_right_bookshelf,

    ni_chain,
    ni_box,
    ni_cabinet,
    ni_chest,
    ni_book,
	ni_handle,
    ni_letter,

	ni_house,
    ni_path,
    ni_mailbox,
    ni_flowerpot,
    ni_bathtub,
    ni_washstand,
    ni_toilet,
    ni_washer,
    ni_dryer,
    ni_dog,
    ni_orion,
    ni_treasure_chest,

	ni_fireplace,
	ni_tv,
	ni_telephone,
	ni_clock,
    ni_clock_hands,
	ni_photo,
	ni_man,
	ni_woman,
	ni_girl,
	ni_boy,
	ni_ash,
    ni_videotape,

	ni_counter,
	ni_sink,
	ni_range,
	ni_oven,
	ni_icebox,
	ni_cupboard,
    ni_billiard_table,
    ni_darts_target,

	ni_portrait,

    ni_washtub,
	ni_tree,
    ni_car,
    ni_drum,
    ni_garden,

	ni_wardrobe,
    ni_dressing_table,

	ni_piano,

    ni_magic_circle,
	ni_altar,
    ni_passage,
    ni_skeleton,
    ni_skull,
    ni_another_world,
    ni_gun,
    ni_hatch,
	ni_machine,
	ni_button,
	ni_green_button,
	ni_red_button,
	ni_panel,
	ni_round_door,
	ni_small_door,
	ni_cable,
	ni_fuel_rod,
	ni_it,
	ni_face,
	ni_tentacle,
    ni_spell,

    ni_bathroom_1f_wall,
    ni_bathroom_2f_wall,
    ni_study_note,
    ni_secret_room_note,
    ni_secret_room_book,
    ni_secret_room_letter,
    ni_boiler_room_note,
/*
	ni_closet,
	ni_fur,
	ni_trashbox,


*/


    ni_armor,
    ni_sword,

    ni_noun,
    ni_verb,
    ni_basic,
    ni_tips,
    ni_key,
	ni_assistance,
    ni_input,
    ni_english,
    ni_hiragana,
    ni_katakana,
    ni_yes,
    ni_no,

#ifdef DEBUG
    ni_entrance,
    ni_entrance_hall,
	ni_living,
	ni_dining,
    ni_kitchen,
    ni_bathroom,
    ni_boys_room,
    ni_music_room,
    ni_working_room,
    ni_study,
    ni_library,
    ni_cellar,
    ni_cave,
    ni_secret_room,
#endif
    ni_end
} noun_id_t;

#endif
